<div mat-dialog-title>
  <h1>User Form</h1>
</div>
<form [formGroup]="userForm" (ngSubmit)="onFormSubmit()">
  <div mat-dialog-content class="content">
    <div class="row">
      <mat-form-field appearance="outline">
        <mat-label>First Name</mat-label>
        <input matInput type="text" placeholder="Ex. John" formControlName="firstName">
        <mat-error *ngIf="userForm.get('firstName')?.hasError('required')">First Name is required</mat-error>
        <mat-error *ngIf="userForm.get('firstName')?.hasError('minlength')">First Name must contain at least 2 characters</mat-error>
        <mat-error *ngIf="userForm.get('firstName')?.hasError('maxlength')">First Name must contain maximum 100 characters</mat-error>
        <mat-error *ngIf="userForm.get('firstName')?.hasError('pattern')">First Name must contain only letters</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Last Name</mat-label>
        <input matInput type="text" placeholder="Ex. Doe" formControlName="lastName">
        <mat-error *ngIf="userForm.get('lastName')?.hasError('required')">Last Name is required</mat-error>
        <mat-error *ngIf="userForm.get('lastName')?.hasError('minlength')">Last Name must contain at least 2 characters</mat-error>
        <mat-error *ngIf="userForm.get('lastName')?.hasError('maxlength')">Last Name must contain maximum 100 characters</mat-error>
        <mat-error *ngIf="userForm.get('lastName')?.hasError('pattern')">Last Name must contain only letters</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Age</mat-label>
        <input matInput type="number" placeholder="Ex. 30" formControlName="age">
        <mat-error *ngIf="userForm.get('age')?.hasError('required')">Age is required</mat-error>
        <mat-error *ngIf="userForm.get('age')?.hasError('min')">Age must be at least 1</mat-error>
        <mat-error *ngIf="userForm.get('age')?.hasError('max')">Maximal value of age is 200</mat-error>
      </mat-form-field>
    </div>
  </div>
  <div mat-dialog-actions class="action">
    <button mat-raised-button type="button" [mat-dialog-close]="false">Cancel</button>
    <button mat-raised-button color="primary" type="submit">{{ data ? 'Update' : 'Save' }}</button>
  </div>
</form>
